my $contenttype = 'application/ld+json; ' .
  'profile="https://www.w3.org/ns/activitystreams"';

# リクエストオブジェクトを作成
my $req = POST(
    $url,
    'Content-Type' => $contenttype,
    Content => $content
);

# Dateフィールドに現在時刻を設定
$req->headers->date(time);
# Dateフィールドの文字列表現を取得
my $date = $req->headers->header('date');
# 取得した文字列表現に署名するメソッドを呼び出し
my $sign = Actub::Signature::sign('date: ' . $date);
# 署名した結果を仕様が求める形に整形
my $signature = sprintf
  'keyId="%s",algorithm="rsa-sha256",signature="%s"',
    $from, $sign;
# 署名した結果をSignatureヘッダに設定
$req->headers->push_header(
  Signature => $signature);
# リクエストを実行
my $res = $ua->request($req);
